> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Otp Status

> Inspect the active OTP for a phone within your developer app without sending a new code. When your X-API-Key is bound to a developer app, omit the app_key query parameter.



## OpenAPI

````yaml /openapi.json get /v1/otp/status
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/otp/status:
    get:
      tags:
        - Karibu-OTP
      summary: Check Otp Status
      description: >-
        Inspect the active OTP for a phone within your developer app without
        sending a new code. When your X-API-Key is bound to a developer app,
        omit the app_key query parameter.
      operationId: check_otp_status_v1_otp_status_get
      parameters:
        - name: phone_number
          in: query
          required: true
          description: >-
            Recipient's phone number, E.164 digits-only (no '+', e.g.
            255712345678)
          schema:
            type: string
            title: Phone Number
          example: '255712345678'
        - name: app_key
          in: query
          required: false
          description: >-
            Optional. Omit when your X-API-Key is bound to a developer app.
            Legacy unbound keys may send this or use the X-App-ID header
            instead.
          schema:
            type: string
            title: App Key
          example: devapp_123456
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BaseResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
        status_code:
          type: integer
          title: Status Code
          default: 200
      type: object
      required:
        - success
        - message
      title: BaseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````